Subject: Re: bug#68243: alacritty segmentation fault

From: Efraim Flashner <[email-masked]>
Date: Sun, 7 Jan 2024 11:06:40 +0200

I meant more of what's the guix version from the generation which
contains the non-working alacritty.

On Fri, Jan 05, 2024 at 02:51:34PM +0000, [email-masked] wrote:
> How can I check generations for packages? `guix package -l` doesn't seem to show any useful information.
> 
> I can't seem to find out what the syntax should be for the PATTERN arguments in guix package, like `guix package --list-generations=PATTERN`.
> 
> I try `guix package -l alacritty`, `guix package --list-generations=alacritty` but always get `invalid syntax: alacritty`..
> 
> On 1/5/24 12:52 PM, Efraim Flashner <[email-masked]> wrote:
> > On Thu, Jan 04, 2024 at 03:32:55PM +0000, Steven Roose wrote:
> > > I've been using alacritty as my default terminal for about a year without
> > > much issues. I'm currently on v0.12.3 of alacritty and use it with i3 and
> > > Xorg. A month or two ago I noticed that upgrading GuixSD broke alacritty.
> > > Since it's my main terminal and I didn't have any other terminals installed,
> > > I was forced to rollback my system through GRUB because I couldn't literally
> > > not even open a terminal to investigate or roll-back by CLI. I was trying
> > > another system upgrade now and noticed the issue is still not fixed. When
> > > running alacritty from an already-open alacritty only shows me "segmentation
> > > fault". The working and broken version is both 0.12.3, so I think it might
> > > not be an alacritty issue but more a linking/build issue. I'm basically
> > > stuck on a months-old Guix until this is fixed.
> > >
> > > If there is any way I can be of use by providing debug/log files of some
> > > kind, please let me know.
> > 
> > Looking at 'alacritty --help' it looks like you can try adding -v (up to
> > 3) to get a more verbose output so hopefully we get more of an error
> > message.
> > 
> > Which generation are you on that is working for you? Which one do you
> > know is segfaulting? I'd like to try to narrow it down.
> > 
> > 

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted